/*      */
/* Hero */
/*      */

#hero {
    margin-top: 100px;
}

@media (max-width: 992px) {

    #hero {
        margin-top: 80px;
    }
}

#hero .slogan {
    font-family: Khodkar;
    font-size: 26px;
    color: var(--c-foreground-2);
}

#hero .text {
    font-family: var(--f-family-1);
    font-size: 32px;
    color: var(--c-foreground-1);
}

#hero .button {
    display: block;
    padding: 10px 24px;
    width: fit-content;
    border-radius: 25px;
    font-family: var(--f-family-1);
    font-size: 17px;
    color: var(--c-foreground-2);
    background: rgba(167, 226, 255, .3);
}

#hero .button:hover {
    background: rgba(167, 226, 255, .6);
}

#hero .button i::before {
    position: relative;
    top: 3px;
}

#hero .button span {
    position: relative;
    margin-right: 8px;
    top: 3px;
}

@media (max-width: 992px) {

    #hero .button {
        margin: 30px auto 0 auto;
    }
}

#hero .socials {
    margin-left: 80px;
}

#hero .socials ul {
    margin: 0;
    padding: 0;
}

#hero .socials ul a {
    display: block;
    padding: 8px;
}

#hero .socials ul a i::before {
    transition: color .3s;
    font-size: 18px;
    color: var(--c-foreground-2);
}

#hero .socials ul a:hover i::before {
    color: var(--c-theme-1);
}

#hero .banner {
    position: relative;
    width: 320px;
    height: 415px;
}

#hero .banner .box {
    position: absolute;
    width: 100px;
    height: 100px;
    border-radius: 10px;
    background: rgba(91, 173, 213, .3);
}

#hero .banner .box:nth-child(1) {
    right: 0;
    top: 0;
    transform: rotateZ(8deg);
}

#hero .banner .box:nth-child(2) {
    left: 0;
    bottom: 0;
}

#hero .banner .picture {
    position: absolute;
    width: 270px;
    height: 365px;
    left: 24px;
    bottom: 24px;
    border-radius: 10px;
    overflow: hidden;
}

#hero .banner .picture img {
    height: 100%;
    width: 100%;
    object-fit: cover;
}

@media (max-width: 576px) {

    #hero .banner {
        width: 260px;
        height: 338px;
    }

    #hero .banner .box {
        width: 85px;
        height: 85px;
    }

    #hero .banner .picture {
        width: 220px;
        height: 297px;
        left: 20px;
        bottom: 20px;
    }
}


/*            */
/* Categories */
/*            */

#categories {
    margin-top: 100px;
    padding: 80px 0;
    background: var(--c-background-2);
}

#categories .title {
    font-size: 28px;
}

#categories .title span {
    color: var(--c-theme-1);
}

#categories .swiper {
    margin-top: 80px;
    height: 400px;
}

#categories .swiper-slide {
    display: flex;
    height: fit-content;
    justify-content: center;
    align-items: center;
}

#categories .swiper-pagination-bullet-active {
    background: var(--c-theme-1);
}

#categories .item {
    position: relative;
    width: 220px;
    height: 282px;
}

#categories .item.brown .picture {
    background: #F2EAE3;
}

#categories .item.brown .number,
#categories .item.brown .button {
    background: #ECC9AA;
}

#categories .item.pink .picture {
    background: #F2E5F1;
}

#categories .item.pink .number,
#categories .item.pink .button {
    background: #EAB0E5;
}

#categories .item.green .picture {
    background: #E7F3F0;
}

#categories .item.green .number,
#categories .item.green .button {
    background: #AEDFD3;
}

#categories .item.gray .picture {
    background: #E8E9F7;
}

#categories .item.gray .number,
#categories .item.gray .button {
    background: #CBCDF3;
}

#categories .item .picture {
    display: flex;
    width: 100%;
    height: 100%;
    justify-content: center;
    align-items: center;
    border-radius: 110px 110px 10px 10px;
    overflow: hidden;
}

#categories .item .picture img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

#categories .item .number {
    position: absolute;
    display: flex;
    width: 45px;
    height: 45px;
    top: 0px;
    left: 14px;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    font-family: var(--f-family-3);
    font-size: 18px;
    color: white;
}

#categories .item .title {
    position: absolute;
    margin: 0;
    left: 50%;
    bottom: 0;
    transform: translate(-50%, 50%);
}

#categories .item .button {
    display: block;
    padding: 10px 10px 8px 10px;
    width: 115px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    border-radius: 20px;
    text-align: center;
    transition: filter .15s;
    font-family: var(--f-family-1);
    font-size: 15px;
    color: white;
}

#categories .item .button:hover {
    filter: brightness(1.03);
}


/*        */
/* Brands */
/*        */

#brands {
    margin-top: 100px;
    padding: 40px 0;
}

@media (max-width: 992px) {

    #brands {
        margin-top: 80px;
    }
}

#brands .item {
    display: inline-flex;
    width: 170px;
    height: 120px;
    justify-content: center;
    align-items: center;
    border: 1px solid var(--c-border-1);
    border-radius: 10px;
}


/*          */
/* Products */
/*          */

#products {
    margin-top: 100px;
    padding: 80px 0;
    background: var(--c-background-2);
}

@media (max-width: 992px) {

    #products {
        margin-top: 80px;
    }
}

#products .title {
    font-size: 28px;
}

#products .title span {
    color: var(--c-theme-1);
}

#products .swiper {
    margin-top: 80px;
    height: 500px;
}

#products .swiper-slide {
    display: flex;
    height: fit-content;
    justify-content: center;
    align-items: center;
}

#products .swiper-pagination-bullet-active {
    background: var(--c-theme-1);
}

#products .item .picture {
    width: 220px;
    height: 282px;
    border-radius: 10px;
    overflow: hidden;
}

#products .item .picture img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

#products .item.outofstock .picture img {
    filter: grayscale(1);
}

#products .item .box {
    margin-top: 20px;
}

#products .item .box > div {
    margin-top: 10px;
}

#products .item .box > div:first-child {
    margin: 0;
}

#products .item .title {
    margin: 2px 0;
    width: 140px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    font-size: 16px;
}

#products .item .price-original {
    font-size: 14px;
    color: var(--c-foreground-2);
}

#products .item .price-current {
    margin: 1px 0;
    font-size: 16px;
}

#products .item .currency {
    font-family: var(--f-family-1);
    font-size: 13px;
    color: var(--c-foreground-2);
}

#products .item .button {
    padding: 5px;
    width: 84px;
    text-align: center;
    border-radius: 14px;
    transition: filter .3s;
    font-family: var(--f-family-1);
    font-size: 13px;
    color: white;
    background: var(--c-theme-1);
}

#products .item.instock .button:hover {
    filter: brightness(1.05);
}

#products .item.outofstock .button {
    cursor: not-allowed;
    color: var(--c-foreground-1);
    background: var(--c-background-3);
}

#products .item .discount {
    padding: 2px;
    width: 52px;
    direction: ltr;
    text-align: center;
    border: 1px solid var(--c-foreground-2);
    border-radius: 12px;
    font-size: 12px;
    color: var(--c-foreground-2);
}


/*          */
/* Features */
/*          */

#features {
    margin-top: 100px;
    margin-bottom: 100px;
    padding: 40px 0;
}

@media (max-width: 992px) {

    #features {
        margin-top: 80px;
        margin-bottom: 80px;
    }
}

#features .box {
    padding: 26px 0;
    width: 280px;
    border: 1px solid var(--c-border-1);
    border-radius: 10px;
}

#features .icon {
    display: block;
    margin: auto;
    width: fit-content;
    font-size: 18px;
}

#features .title {
    font-size: 16px;
}

#features .text {
    font-family: var(--f-family-1);
    font-size: 16px;
    color: var(--c-foreground-2);
}